@import url('https://fonts.googleapis.com/css?family=Source+Sans+Pro&display=swap');
:root {
    /* Global colors go here using CSS custom-properties. */
    --color-navigation: #E8104E;
    --color-navigation-black: #262626;
    --color-navigation-contrast: #ffffff;
    --color-primary: #E8104E;
    --color-primary-contrast: white;
    --color-secondary: #FF5073;
    --color-secondary-contrast: white;
    --color-decorative: #00C8D2;
    --color-subtitle: #ffffff;
    --color-footer: #0C1332;
    --color-content: white;
    --color-list-hover: #ababab49;
    --color-body-background: #F1F1F3;
    --color-body-component-border: #dcdcdc;
    --color-success: #00A862;
    --color-warning: #D97000;
    --color-error: #D32F2F;
    --color-success-bg: #00A8621A;
    --color-error-bg: #FF00001A;
    --app-max-width: 800px;
    --z-index-top: 100;
    --z-index-middle: 50;
    --z-index-loading: 200;
}

* {
    outline: 0;
}

body {
    margin: 0;
    background-color: var(--color-body-background);
}

a {
    text-decoration: none;
}

p {
    margin: 0;
    font-size: 20px;
}

h1 {
    color: var(--color-primary);
    font-size: 20px;
    font-weight: bold;
    margin-top: 0;
    margin-bottom: 8px;
}

h2 {
    font-size: 16px;
    font-weight: bold;
    color: var(--color-primary);
    margin: 0;
}

div.component-container {
  border-bottom: 1px solid var(--color-body-component-border);
}

ul {
    font-size: 20px;
}


/* Replace global font */

* {
    font-family: "Unzer Visuelt";
}


/* border-box for everything: DON'T -> breaks some material design stuff
*, *:before, *:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
*/

div.feature-background {
    border: 1px solid var(--color-body-component-border);
    border-radius: 6px;
    background: white;
    min-height: calc(50vh + 64px);
    margin-top: 16px;
}

div.feature-background.with-action-button {
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border: 1px;
    border-radius: 6px;
    border-style: solid;
    border-color: var(--color-body-component-border);
}

div.with-toolbar-button {
    padding-bottom: 64px;
    box-sizing: border-box;
}

div.page-content {
    padding: 16px;
}

div.secondaryButtonsContainer {
    text-align: right;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

img.uploadPreview {
    max-width: 100%;
    max-height: 400px;
    object-fit: contain;
}


/* Global style for paylater form fields */

.paylater-form-field {
    width: 100%;
}


/*.paylater-form-field.mat-form-field-appearance-outline .mat-form-field-outline {
    color:black;
}
*/

/* TODO(mdc-migration): The following rule targets internal classes of form-field that may no longer apply for the MDC version. */
.paylater-form-field.mat-form-field-appearance-outline.mat-focused .mat-form-field-outline-thick {
    color: var(--color-primary);
}

/* TODO(mdc-migration): The following rule targets internal classes of form-field that may no longer apply for the MDC version. */
.paylater-form-field.mat-mdc-form-field.mat-focused .mat-form-field-label {
    color: var(--color-primary);
}

.bottom-sheet {
    width: 100vh;
    min-width: 0 !important;
    max-width: 800px !important;
    margin-left: 16px !important;
    margin-right: 16px !important;
    margin-bottom: 16px;
    border-radius: 8px !important;
    padding-top: 24px !important;
}

.mat-mdc-unelevated-button.mat-primary {
    background-color: var(--color-primary) !important;
}

app-faq-list .mdc-text-field--filled:not(.mdc-text-field--disabled) {
  background-color: transparent !important;
}

/* Desktop styles go here */

@media only screen and (min-width: 800px) {
    div.feature-background {
        /* + navigation bar height */
        position: relative;
    }
    .bottom-sheet {
        min-width: 800px !important;
    }
    div.with-toolbar-button {
        padding-bottom: 0;
    }
    div.page-content {
        padding-bottom: 80px;
    }
    .mat-mdc-list-item:hover {
        background-color: var(--color-list-hover);
    }
}

input+.switchery {
    transition: border .4s, box-shadow .4s, background-color .2s !important;
}

input:checked+.switchery {
    background-color: var(--color-primary) !important;
    border-color: var(--color-primary) !important;
    box-shadow: var(--color-primary) 0 0 0 !important;
    transition: border .4s, box-shadow .4s, background-color .2s !important;
}

.checkbox {
    margin-bottom: 0 !important;
}

.mat-mdc-snack-bar-container {
    margin-bottom: 74px !important;
}

.error-snackbar {
    background-color: var(--color-secondary) !important;
    color: var(--color-secondary-contrast) !important;
}

.optanon-show-settings-left,
.optanon-show-settings-right,
.optanon-show-settings-middle,
.optanon-show-settings-popup-wrapper {
    display: none;
}

/* mat-expansion-panel customization */
.remove-mat-expansion-panel-padding .mat-expansion-panel-content .mat-expansion-panel-body {
  padding: 0;
}
.remove-mat-expansion-panel-padding .mat-expansion-panel-header {
  padding: 0 5px 0 0;
}
.remove-mat-expansion-panel-padding .mat-expanded {
  padding-top: 11px;
}
button:hover,
button:focus {
  filter: brightness(90%);
}

button {
  margin: 8px!important;
}

button[mat-menu-item] {
  margin: 0 !important;
}

button, a, select, input[type="button"], input[type="submit"] {
  min-height: 32px;
  min-width: 32px;
}

@media (max-width: 600px) {
  button, a, select, input[type="button"], input[type="submit"] {
    min-height: 48px;
    min-width: 48px;
  }
}

svg {
  min-height: 24px !important;
  min-width: 24px !important;
}

@media (max-width: 600px) {
  svg {
    min-height: 24px !important;
    min-width: 24px !important;
  }
}


/*.optanon-show-settings-button {*/


/*  padding: 1px 6px !important;,*/


/*}*/


/*.optanon-show-settings-popup-wrapper .optanon-show-settings-middle {*/


/*  all: initial;*/


/*  background: none !important;*/


/*  font-size: inherit;*/


/*  color: inherit !important;*/


/*}*/


/* .optanon-show-settings-middle a.optanon-show-settings {*/


/*  color: var(--color-subtitle) !important;*/


/*  font-family: "Poppins" !important;*/


/*  font-size: 13px !important;*/


/*  font-weight: 400 !important;*/


/*  letter-spacing: normal !important;*/


/*  margin: initial !important;*/


/*}*/
